Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class NewCompoundDatasetDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.NewDataObjectDialog
hdf.view.dialog.NewCompoundDatasetDialog

public class NewCompoundDatasetDialog extends NewDataObjectDialog
NewCompoundDatasetDialog shows a message dialog requesting user input for creating a new HDF4/5 compound dataset.

Version:
  2.4 1/7/2015
Author:
  Jordan T. Henderson

- ## Field Summary

  ### Fields inherited from class hdf.view.dialog.NewDataObjectDialog

  `arrayLengthLabel, checkUnsigned, classChoice, curFont, endianChoice, fileFormat, isEnum, isH5, isVLen, isVlenStr, lengthField, namedChoice, namedList, newObject, objList, parentObj, refObject, shell, sizeChoice, strEnumMap, tclass, torder, tsign, tsize, useCommittedType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewCompoundDatasetDialog(org.eclipse.swt.widgets.Shell parent, Group pGroup, List<?> objs)`
  Constructs a NewCompoundDatasetDialog with specified list of possible parent groups.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `open()`
  Open the NewCompoundDatasetDialog for adding a new compound dataset.

  ### Methods inherited from class hdf.view.dialog.NewDataObjectDialog

  `createDatatypeWidget, createNewDatatype, getObject, getParentGroup`

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NewCompoundDatasetDialog

    public NewCompoundDatasetDialog(org.eclipse.swt.widgets.Shell parent, Group pGroup, List<?> objs)
    Constructs a NewCompoundDatasetDialog with specified list of possible parent groups.
    Parameters:
      `parent` - the parent shell of the dialog
      `pGroup` - the parent group which the new group is added to.
      `objs` - the list of all objects.

- ## Method Details

  - ### open

    public void open()
    Open the NewCompoundDatasetDialog for adding a new compound dataset.